> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a content type from a design library version

GET https://api.contentful.com/spaces/{spaceId}/design_libraries/{designLibraryId}/versions/{versionId}/content_types/{contentTypeId}/payload

Retrieves a content type's stored payload from a succeeded design library version.

Reference: https://contentful.com/developers/docs/references/experience-management-api/design-libraries/versions/items/get-design-library-version-content-type-payload

## Authentication

- `Authorization` header (bearer token, required) — Contentful Management API token

## Request

### Path parameters

- `spaceId` (string, required)
- `designLibraryId` (string, required)
- `versionId` (string, required)
- `contentTypeId` (string, required)

## Response

### 200

200

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `name` (string, required)
- `fields` (list of SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaFieldsItems, required)
- `metadata` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaMetadata, optional)
- `description` (string, optional, nullable)
- `displayField` (string, optional)

## Errors

### 400 Bad Request Error

400

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 401 Unauthorized Error

401

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 403 Forbidden Error

403

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 404 Not Found Error

404

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 409 Conflict Error

409

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 422 Unprocessable Entity Error

422

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 500 Internal Server Error

500

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

## Types

### SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys

- `id` (string, required)
- `type` ("Error", required)

### SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaFieldsItems

- `id` (string, required)
- `type` (string, required)
- `name` (string, required)
- `deleted` (boolean, optional)
- `omitted` (boolean, optional)
- `items` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaFieldsItemsItems, optional)

### SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaMetadata

- `annotations` (any, optional)

### SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdContentTypesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaFieldsItemsItems

- `type` (string, required)
- `linkType` (string, optional)

## Examples

**Response**

```json
{
  "sys": {
    "id": "string",
    "type": "string"
  },
  "name": "string",
  "fields": [
    {
      "id": "string",
      "type": "string",
      "name": "string",
      "deleted": true,
      "omitted": true,
      "items": {
        "type": "string",
        "linkType": "string"
      }
    }
  ],
  "metadata": {},
  "description": "string",
  "displayField": "string"
}
```